Skip to main content
PATCH
Set who reads and publishes shared memory

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

workspace_id
string
required

UUIDv7 of the workspace.

fleet_id
string
required

UUIDv7 of the fleet.

Body

application/json

Presence-based memory permission changes.

publish
boolean | null

Publish workspace memory.

read
boolean | null

Read shared workspace memory.

Response

OK

Current shared-memory permissions.

publish
boolean
required

Publish permission.

read
boolean
required

Read permission.